Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 731088 - media-video/gpac fails to link with LLD because of /usr/lib in the link command line
Summary: media-video/gpac fails to link with LLD because of /usr/lib in the link comma...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: LD-is-lld
  Show dependency tree
 
Reported: 2020-07-06 14:19 UTC by Agostino Sarubbo
Modified: 2020-09-12 21:42 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,239.73 KB, text/plain)
2020-07-06 14:19 UTC, Agostino Sarubbo
Details
other.tar.bz2 (other.tar.bz2,4.35 KB, application/x-bzip-compressed-tar)
2020-07-06 14:19 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-07-06 14:19:44 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: media-video/gpac fails to link with LLD because of /usr/lib in the link command line.
Discovered on: amd64

NOTE:
This PR gives an idea about a fix: https://github.com/PhotoFlare/photoflare/pull/248/files.
Comment 1 Agostino Sarubbo gentoo-dev 2020-07-06 14:19:50 UTC
Created attachment 647980 [details]
build.log

build log and emerge --info
Comment 2 Agostino Sarubbo gentoo-dev 2020-07-06 14:19:53 UTC
Created attachment 647982 [details]
other.tar.bz2

other logs
Comment 3 Larry the Git Cow gentoo-dev 2020-09-12 21:42:52 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b50d5fdee658b196969eac6a9f5a4a4394e18943

commit b50d5fdee658b196969eac6a9f5a4a4394e18943
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2020-09-12 21:36:01 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-09-12 21:42:43 +0000

    media-video/gpac: bump to 1.0.1
    
    Changes:
    * Introduce CPU_FLAGS_X86_SSE2
    * Refresh configure patch (avoids static libs)
    
    Closes: https://bugs.gentoo.org/731088
    Package-Manager: Portage-3.0.6, Repoman-3.0.1
    Signed-off-by: Sam James <sam@gentoo.org>

 media-video/gpac/Manifest                         |   1 +
 media-video/gpac/files/gpac-1.0.1-configure.patch | 117 ++++++++++++++++++
 media-video/gpac/gpac-1.0.1.ebuild                | 143 ++++++++++++++++++++++
 3 files changed, 261 insertions(+)